﻿@keyframes fadeIn {
    0% { opacity: 0; transform: translate(0, 2rem)}
    100% { opacity: 1; transform: translate(0, 0)}
}

@keyframes rainbow {
    0%{
        background-position: 200% 50%;
    }
    100%{
        background-position: 0 50%;
    }
}

@keyframes blue {
    0%{
        background-position: 200% 50%;
    }
    100%{
        background-position: 0 50%;
    }
}

.navbar {
    background-color: #4973F2;
    font-size: 20px;
    padding: 0;
    font-family: 'ALoveOfThunder', sans-serif;
    background-image:url('images/texture-transparent.png');
}

.page-tear-horizontal-wide {
    background-image: url('images/page-tear-horizontal-wide.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100%;
}

.page-tear-horizontal {
    background-image: url('images/page-tear-horizontal.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100% ;
}

.page-tear-vertical {
    background-image: url('images/page-tear-vertical.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100%;
}

.page-padding {
    padding: 80px!important;
}

a {
    color: #4973F2;
    text-decoration: none;
}

a:hover {
    color: #000000;
}

.svgHover {
    color: #ffffff;
}

.svgHover:hover {
    color: #000000;
}


body, html {
    background-image: url('images/texture-transparent.png');
    background-repeat: repeat;
}


.navbar .nav-link {
    color: #ffffff;
}

.navbar .nav-link:hover {
    color: #000000;
}

.navbar-toggler {
    background-color: transparent !important;
    border: none !important;
    box-shadow: none !important;
}

.navbar-toggler:focus {
    box-shadow: none !important;
}

.navbar-brand {
    margin: 0;
}

html, body {
    height: 100%;
    margin: 0;
    background-color: #F1F2F2;
}

.footer {
    width: 100%;
    background-color: #4973F2;
    background-image:url('images/texture-transparent.png');
    color: #ffffff;
}

.footer, .push {
    height: 50px;
}

.wrapper {
    min-height: 100%;
    margin-bottom: -50px;
}

/* Script font, to be used sparingly for more direct/informal snippets like ‘Join us!’ or ‘Hey, you!' */
@font-face {
    font-family: Glowdex;
    src: url(fonts/glowdex/Glowdex.ttf);
}

/* Larger titles only */
@font-face {
    font-family: PeckhamPress;
    src: url(fonts/peckham_press/PeckhamPress-Trial.otf);
}

/* Smaller text and subtitles */
@font-face {
    font-family: ALoveOfThunder;
    src: url(fonts/a_love_of_thunder/ALoveOfThunder.ttf);
}

/* Condensed font for information in places where space is restricted */
@font-face {
    font-family: DirtyHeadline;
    src: url(fonts/dirty_headline/DirtyHeadline.ttf);
}

h1 {
    font-family: 'Glowdex', sans-serif;
    display: inline;
}

h2 {
    font-family: 'PeckhamPress', sans-serif;
    display: inline;
}

h3, label {
    font-family: 'ALoveOfThunder', sans-serif;
    font-size: clamp(1rem, 1vw + 0.5rem, 1.5rem);
    display: inline;
}

.svg {
    color: white;
}

.svg:hover {
    color: #000000;
}

p {
    font-family: 'DirtyHeadline', sans-serif;
    display: inline;
    font-size: large;
}

.button {
    font-family: 'ALoveOfThunder', sans-serif;
    display: inline;
    border-radius: 4px;
    background-color: #4973F2;
    width: 100%;
    border: 2px inset grey;
    box-shadow: 5px 5px 15px 5px rgba(0,0,0,0);
    height: 100%;
}

.button:hover {
    color: #F1F2F2;
}

iframe {
    width: 75%;
    border: none;
    border-radius: 12px;
}

.imgTransitions {
transition-property: box-shadow, transform;
transition-duration: 350ms;
transition-timing-function: ease;
}

.imgTransitions:is(:hover, :focus) {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 30px 60px -12px, rgba(0, 0, 0, 0.3) 0px 18px 36px -18px;
    border-radius: 10px;
    transform: translateY(-8px);
}

.fadeIn.in-view {
    opacity: 0;
    transition: opacity 0.5s ease, border 0.5s ease;
}

.fadeIn.show {
    animation: fadeIn 1s both;
}

.not-in-view {
    opacity: 0;
}

.rainbowText {
    background: linear-gradient(
    to right,
    #E40303,
    #FF8C00,
    #d9c80b,
    #008026,
    #004CCF,
    #732982,
    #E40303
    );
    background-clip: text;
    color: transparent;
    background-size: 200% auto;
    animation: rainbow 3s linear infinite;
}

.carousel-wrapper {
    width: 100%;
    overflow: hidden;
}

.carousel-track {
    display: flex;
    will-change: transform;
}

.carousel-track img {
    height: 550px;
    width: auto;
    flex-shrink: 0;
}